CATANH(3)

NAME
catanh, catanhf, catanhl - complex arc tangents hyperbolic

SYNOPSIS
#include <complex.h>

double complex catanh(double complex z);
float complex catanhf(float complex z);
long double complex catanhl(long double complex z);

Link with -lm.

DESCRIPTION
The catanh() function calculates the complex arc hyperbolic tangent of z. If y = catanh(z), then z = ctanh(y). The imaginary part of y is chosen in the interval [-pi/2,pi/2].

One has:
    catanh(z) = 0.5 * clog((1 + z) / (1 - z))

CONFORMING TO
C99

SEE ALSO
atanh(3), cabs(3), cimag(3), complex(7)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.